package org.dromara.talk.service;

import org.dromara.talk.domain.vo.PhoneUserVo;
import org.dromara.talk.domain.bo.PhoneUserBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * ZoomPhone用户Service接口
 *
 * @author Lion Li
 * @date 2026-02-06
 */
public interface IPhoneUserService {

    /**
     * 查询ZoomPhone用户
     */
    PhoneUserVo queryById(Long id);

    /**
     * 查询ZoomPhone用户列表
     */
    TableDataInfo<PhoneUserVo> queryPageList(PhoneUserBo bo, PageQuery pageQuery);

    /**
     * 查询ZoomPhone用户列表
     */
    List<PhoneUserVo> queryList(PhoneUserBo bo);

    /**
     * 新增ZoomPhone用户
     */
    Boolean insertByBo(PhoneUserBo bo);

    /**
     * 修改ZoomPhone用户
     */
    Boolean updateByBo(PhoneUserBo bo);

    /**
     * 校验并批量删除ZoomPhone用户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
